Index: code/branches/towerdefenseHS14/src/modules/towerdefense/Tower.cc
===================================================================
--- code/branches/towerdefenseHS14/src/modules/towerdefense/Tower.cc	(revision 10126)
+++ code/branches/towerdefenseHS14/src/modules/towerdefense/Tower.cc	(revision 10132)
@@ -40,5 +40,5 @@
     {
         static int ori;
-        orxout() << "orientation " << ++ori << endl;
+        //orxout() << "orientation " << ++ori << endl;
     }
 
@@ -58,5 +58,5 @@
     {
         static int roll;
-        orxout() << "rotateRoll" << ++roll << endl;
+        //orxout() << "rotateRoll" << ++roll << endl;
     }
 
Index: code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefense.cc
===================================================================
--- code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefense.cc	(revision 10126)
+++ code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefense.cc	(revision 10132)
@@ -129,6 +129,7 @@
     	orxout() << "test0" << endl;
 
-
         Deathmatch::start();
+
+        time=0.0;
 
 /*
@@ -143,30 +144,10 @@
 */
 
-        orxout() << "test3" << endl;
 
         //add some TowerDefenseEnemys
 
-        TDCoordinate* coord1 = new TDCoordinate(1,1);
-        TDCoordinate* coord2 = new TDCoordinate(1,3);
-        TDCoordinate* coord3 = new TDCoordinate(10,3);
-
-
-        std::vector<TDCoordinate*> path;
-
-
-        path.push_back(coord1);
-
-        path.push_back(coord2);
-
-        path.push_back(coord3);
-
-
-
-        for(int i = 0 ; i < 20 ; ++i)
-        {
-        	addTowerDefenseEnemy(path);
-        }
-
-        orxout() << "test7" << endl;
+
+
+
 
         //ChatManager::message("Use the console command addTower x y to add towers");
@@ -178,6 +159,4 @@
 
     void TowerDefense::addTowerDefenseEnemy(std::vector<TDCoordinate*> path){
-
-    	orxout() << "test1" << endl;
 
     	TowerDefenseEnemy* en1 = new TowerDefenseEnemy(this->center_->getContext());
@@ -186,29 +165,9 @@
         en1->getController();
 
-
-        /*en1->setInitialHealth(1000);
-    	en1->setHealth(1000);
-    	en1->setMaxHealth(1000);
-    	en1->setInitialShieldHealth(1000);
-    	en1->setShieldHealth(1000);
-    	en1->setMaxShieldHealth(1000);*/
-    	orxout() << "en1 " << en1->getHealth() << endl;
-
-
-        //Model* TowerDefenseEnemymodel = new Model(this->center_->getContext());
-
-        //TowerDefenseEnemymodel->setMeshSource("cube.mesh");
-
-        //TowerDefenseEnemymodel->setPosition(0,0,75);
         en1->setPosition(path.at(0)->get3dcoordinate());
 
-        //TowerDefenseEnemymodel->setScale(10);
-
-
-        //en1->attach(TowerDefenseEnemymodel);
 
         TowerDefenseEnemyvector.push_back(en1);
 
-        orxout() << "test2" << endl;
 
         for(unsigned int i = 0; i < path.size(); ++i)
@@ -216,12 +175,7 @@
             en1->addWaypoint((path.at(i)));
         }
-        orxout() << "test6" << endl;
-
-
-       /* for (int i = 0; i < TowerDefenseEnemyvector.size(); ++i )
-               {
-               	orxout() <<i << " " << TowerDefenseEnemyvector.at(i)->getHealth() << endl;
-               }
-
+
+
+       /*
         WaypointController *newController = new WaypointController(en1->getContext());//
         newController->setAccuracy(3);
@@ -321,10 +275,16 @@
     {
         SUPER(TowerDefense, tick, dt);
-
-       /* for (int i = 0; i < TowerDefenseEnemyvector.size(); ++i )
-        {
-        	orxout() <<i << " " << TowerDefenseEnemyvector.at(i)->getHealth() << endl;
-        }
-*/
+        time +=dt;
+
+        TDCoordinate* coord1 = new TDCoordinate(1,1);
+        std::vector<TDCoordinate*> path;
+        path.push_back(coord1);
+
+            if(time>1 && TowerDefenseEnemyvector.size() < 30)
+            {
+            	addTowerDefenseEnemy(path);
+            	time = time-1;
+            }
+
 
     }
Index: code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefense.h
===================================================================
--- code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefense.h	(revision 10126)
+++ code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefense.h	(revision 10132)
@@ -85,4 +85,5 @@
     private:
         TowerDefenseCenterpoint *center_;
+        float time;
 
         /* handles stats */
Index: code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefenseController.cc
===================================================================
--- code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefenseController.cc	(revision 10126)
+++ code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefenseController.cc	(revision 10132)
@@ -33,4 +33,5 @@
 #include "core/XMLPort.h"
 #include "worldentities/pawns/Pawn.h"
+#include "controllers/WaypointController.h"
 
 namespace orxonox
Index: code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefenseEnemy.cc
===================================================================
--- code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefenseEnemy.cc	(revision 10126)
+++ code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefenseEnemy.cc	(revision 10132)
@@ -34,8 +34,24 @@
     void TowerDefenseEnemy::addWaypoint(TDCoordinate* coord)
     {
-    	orxout() << "test4" << endl;
     	this->Waypointsvector_.push_back(coord);
-    	orxout() << "test5" << endl;
     }
+
+
+    void TowerDefenseEnemy::tick(float dt)
+    {
+        SUPER(TowerDefenseEnemy, tick, dt);
+
+        //ArtificialController* controller = (ArtificialController*)this->getController();
+        Vector3 ship = this->getRVWorldPosition();
+        Vector3* endpoint = new Vector3(500, 700, 150);
+
+        float distance = ship.distance(*endpoint);
+
+        orxout() << "distance" << distance << endl;
+        if(distance <50){
+        	orxout() << "ENEMY KILLED!!!!" << endl;
+        	this->destroy(); }
+    }
+
 /*
     void TowerDefenseEnemy::popWaypoint()
Index: code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefenseEnemy.h
===================================================================
--- code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefenseEnemy.h	(revision 10126)
+++ code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefenseEnemy.h	(revision 10132)
@@ -22,4 +22,5 @@
 #include "worldentities/pawns/SpaceShip.h"
 #include "util/Output.h"
+#include "controllers/ArtificialController.h"
 
 namespace orxonox
@@ -38,4 +39,5 @@
         //health gibt es unter: health_
 
+        virtual void tick(float dt);
         void addWaypoint(TDCoordinate* coord);
         void popWaypoint();
